### Function

# Nautilus FileInfo create_for_uri

#### Declaration [src]

    NautilusFileInfo*
    nautilus_file_info_create_for_uri (
      const char* uri
    )

#### Description

No description available.

#### Parameters

`uri`

  Type: `const char*`

  The URI to lookup the file info for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `NautilusFileInfo`

A `NautilusFileInfo`.

The caller of the function takes ownership of the data, and is responsible for freeing it.